Bug 737301 - f15 cheese segfaults as normal user but works as root
Summary: f15 cheese segfaults as normal user but works as root
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cheese
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 20:57 UTC by Reartes Guillermo
Modified: 2011-10-22 14:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 18:04:48 UTC


Attachments (Terms of Use)
messages (940.60 KB, application/octet-stream)
2011-09-10 20:57 UTC, Reartes Guillermo
no flags Details
lsusb (552 bytes, text/plain)
2011-09-10 20:57 UTC, Reartes Guillermo
no flags Details
xsession-errors (48.86 KB, text/plain)
2011-09-10 20:58 UTC, Reartes Guillermo
no flags Details
dmesg (60.86 KB, text/plain)
2011-09-10 20:58 UTC, Reartes Guillermo
no flags Details

Description Reartes Guillermo 2011-09-10 20:57:03 UTC
Created attachment 522545 [details]
messages

Description of problem:

I istalled f15 some time ago to my sister's netbook (a msi wind u100), some time
ago cheese broke after an update. Today i updated again (nearly 300 mb updates) but cheese still does not work as a normal user.


Version-Release number of selected component (if applicable):

cheese.i686  1:3.0.1-2.fc15
F15 32-bit KDE.


How reproducible: allways.


Steps to Reproduce:
1. enable webcam
2. launch cheese
3. open bugreport.
  
Actual results: No cheese for normal user.


Expected results:  To be able to use cheese.


Additional info:

SELinux is set to permissive.
MPLayer as a normal user works ( $ mplayer tv:// ) so it is not driver/kernel related.

Comment 1 Reartes Guillermo 2011-09-10 20:57:39 UTC
Created attachment 522546 [details]
lsusb

Comment 2 Reartes Guillermo 2011-09-10 20:58:07 UTC
Created attachment 522547 [details]
xsession-errors

Comment 3 Reartes Guillermo 2011-09-10 20:58:52 UTC
Created attachment 522548 [details]
dmesg

Comment 4 Hans de Goede 2011-09-29 18:04:48 UTC
Unfortunately cheese in F-15 <= 3.0.1 has several known issues which causes it to crash in various ways. Upstream has recently released 3.0.2 which fixes these known issues, and we've prepared an update for F-15 for this.

Unfortunately due to the issues with the earlier release we've quite a few open (abrt) crash bugs against cheese for F-15. Too many to go through them one by one and verify that they are actually a variant of one of the known and fixed issues. Therefore we are closing all the F-15 cheese crash bugs.

You can upgrade to the 3.0.2 update by running the following command from a terminal:
su -c 'yum update --enablerepo=updates-testing cheese'

If you still experience the same crash as before (or a new one), please do file a bug and we will try to investigate!

Comment 5 Wilker 2011-10-22 14:12:10 UTC
i have the same problem, and i'm using the 3.0.2 version (although i also tried the older versions and had the same problem). cheese only works as sudo, and it makes videos, but take no photos. the create/delete permissions for both folders are the same


Note You need to log in before you can comment on or make changes to this bug.